package cn.pluss.platform.notification.impl;

import cn.pluss.platform.entity.Notification;
import cn.pluss.platform.mapper.NotificationMapper;
import cn.pluss.platform.notification.NotificationService;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class NotificationServiceImpl extends ServiceImpl<NotificationMapper, Notification> implements NotificationService {
    @Override
    public Notification selectOne() {
        return baseMapper.selectOneTime();
    }

    @Override
    public void updateAll(String status) {
        baseMapper.updateAll(status);
    }

    @Override
    public List<Notification> queryNotification(Map<String, Object> map) {
        return baseMapper.queryNotification(map);
    }


}
